%==========================================================================
% Scenarios 1, 2 and 3 / Numerical example
% see optimum.m for details
%==========================================================================

param(1)=0.0001;   %pi;
param(2)=0.01;     %p1;
param(3)=0.25;     %ci;
param(4)=20;        %cnc;
param(5)=100;      %ca;
param(6)=2;        %cs_nc;
param(7)=2.5;      %cs_c;
param(8)=0.01;     %alpha;
param(9)=0.01;     %beta;
param(10)=1e-6;    %deltamax;
param(11)=0.03;    %phimax;

% Scenario 1
param(8)=0.0;     %alpha;
param(9)=0.0;     %beta;
[mo,ro,Co,phio,chainlog]=optimum(param,[],[],[0 0 1],1);
param(8)=0.01;     %alpha;
param(9)=0.01;     %beta;
[mo1,ro1,Co1,phio1,chainlog1]=optimum(param,[mo mo],[ro ro],[0 0 1],1);

% Scenario 2
param(8)=0.01;     %alpha;
param(9)=0.01;     %beta;
[mo2,ro2,Co2,phio2,chainlog2]=optimum(param,[],[1 1],[0 0 1],1);

% Scenario 3
param(8)=0.01;     %alpha;
param(9)=0.01;     %beta;
[mo3,ro3,Co3,phio3,chainlog3]=optimum(param,[],[],[0 0 1],1);

results=[mo1 ro1 Co1; mo2 ro2 Co2; mo3 ro3 Co3];

results
